%global pypi_name django-discover-runner

Name:           python-%{pypi_name}
Version:        0.3
Release:        2%{?dist}
Summary:        A Django test runner based on unittest2's test discovery

License:        BSD
URL:            http://pypi.python.org/pypi/django-discover-runner/0.3
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# license file is not included
# https://github.com/jezdez/django-discover-runner/issues/6
# wget -O python-django-discover-runner-license.txt https://raw.github.com/jezdez/django-discover-runner/master/LICENSE
Source1:        python-django-discover-runner-license.txt
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-unittest2


%description
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# copy license file to sources as well.
cp -a %{SOURCE1} .


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst python-django-discover-runner-license.txt
%{python_sitelib}/discover_runner
%{python_sitelib}/django_discover_runner-%{version}-py?.?.egg-info

%changelog
* Fri Feb 08 2013 Matthias Runge <mrunge@redhat.com> - 0.3-2
- include license from upstream

* Wed Feb 06 2013 Matthias Runge <mrunge@redhat.com> - 0.3-1
- Initial package.
